Subject: Re: [PATCH net-next v2] devlink: Implement devlink param multi attribute nested data values

From: Jakub Kicinski <[email-masked]>
Date: Tue, 27 Jan 2026 10:04:29 -0800

On Tue, 27 Jan 2026 10:51:10 +0100 Jiri Pirko wrote:
> Tue, Jan 27, 2026 at 02:18:59AM +0100, [email-masked] wrote:
> >On Mon, 26 Jan 2026 08:09:44 +0530 Ratheesh Kannoth wrote:  
> >> Devlink param value attribute is not defined since devlink is handling
> >> the value validating and parsing internally, this allows us to implement
> >> multi attribute values without breaking any policies.
> >> 
> >> Devlink param multi-attribute values are considered to be dynamically
> >> sized arrays of u32 values, by introducing a new devlink param type
> >> DEVLINK_PARAM_TYPE_U32_ARRAY, driver and user space can set a variable
> >> count of u32 values into the DEVLINK_ATTR_PARAM_VALUE_DATA attribute.
> >> 
> >> Implement get/set parsing and add to the internal value structure passed
> >> to drivers.
> >> 
> >> This is useful for devices that need to configure a list of values for
> >> a specific configuration.  
> >
> >Could you respin this as a series with the first driver implementing
> >a param of this type?  We can't merge an API without a user.  
> 
> I may be missed it, are you okay with cleanup helpers now (__free(kfree)
> used here), or not yet? :)

Of course not, I haven't looked at the patch at all.